Package com.emc.d2fs.exceptions

# Class FaultDocument

java.lang.Object
com.emc.d2fs.exceptions.FaultDocument

All Implemented Interfaces:
  `Serializable`

public class FaultDocument extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="details" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="reason" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="target" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FaultDocument()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `List<String>`
  `getDetails()`
  Gets the value of the details property.
  `String`
  `getReason()`
  Gets the value of the reason property.
  `String`
  `getTarget()`
  Gets the value of the target property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setReason(String value)`
  Sets the value of the reason property.
  `void`
  `setTarget(String value)`
  Sets the value of the target property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FaultDocument

    public FaultDocument()

- ## Method Details

  - ### getDetails

    public List<String> getDetails()
    Gets the value of the details property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the details property.

    For example, to add a new item, do as follows:

            getDetails().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`

  - ### getReason

    public String getReason()
    Gets the value of the reason property.
    Returns:
      possible object is `String`

  - ### setReason

    public void setReason(String value)
    Sets the value of the reason property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTarget

    public String getTarget()
    Gets the value of the target property.
    Returns:
      possible object is `String`

  - ### setTarget

    public void setTarget(String value)
    Sets the value of the target property.
    Parameters:
      `value` - allowed object is `String`